/****************************************************************************/
/* GF05 ( ﾃｰﾌﾞﾙｶﾗﾑ定義 )                                                    */
/*                                                                          */
/* Created : 2021/06/29 14:03:35                                            */
/****************************************************************************/

CREATE TABLE GF05 (
   SYSTEM_ID    VARCHAR2 (   10 )                   NOT NULL            /*  1 ｼｽﾃﾑID    */
 , TBLSYU       VARCHAR2 (    1 )                   NOT NULL            /*  2 ﾃｰﾌﾞﾙ種別 */
 , TABLE_NAME   VARCHAR2 (   50 )                   NOT NULL            /*  3 ﾃｰﾌﾞﾙ名   */
 , CLM          VARCHAR2 (   30 )                   NOT NULL            /*  4 項目      */
 , SEQNO        NUMBER   (    7 )       DEFAULT 0   NOT NULL            /*  5 表示順    */
 , NAME_JA      VARCHAR2 (  200 )                                       /*  6 名称      */
 , CLS_NAME     VARCHAR2 (   10 )                   NOT NULL            /*  7 DBｸﾗｽ     */
 , USE_LENGTH   VARCHAR2 (    9 )       DEFAULT '0'                     /*  8 使用桁数  */
 , DATA_DEFAULT VARCHAR2 (  200 )                                       /*  9 初期値    */
 , NOT_NULL     VARCHAR2 (    1 )                                       /* 10 ﾉｯﾄﾇﾙ     */
 , RENDERER     VARCHAR2 (   10 )                                       /* 11 表示種別  */
 , EDITOR       VARCHAR2 (   10 )                                       /* 12 編集種別  */
 , DBTYPE       VARCHAR2 (   10 )                                       /* 13 文字種別  */
 , BIKO         VARCHAR2 ( 2000 )                                       /* 14 備考      */
 , CDKH         VARCHAR2 (    1 )                                       /* 15 改廃ｺｰﾄﾞ  */
 , UNIQ         NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 16 ﾕﾆｰｸｷｰ    */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 17 状態ﾌﾗｸﾞ  */
 , DYSET        VARCHAR2 (   14 )                                       /* 18 登録日時  */
 , PGSET        VARCHAR2 (   10 )                                       /* 19 作成PG    */
 , PGPSET       VARCHAR2 (   10 )                                       /* 20 作成親PG  */
 , USRSET       VARCHAR2 (   10 )                                       /* 21 作成社員  */
 , DYUPD        VARCHAR2 (   14 )                                       /* 22 更新日時  */
 , PGUPD        VARCHAR2 (   10 )                                       /* 23 更新PG    */
 , PGPUPD       VARCHAR2 (   10 )                                       /* 24 更新親PG  */
 , USRUPD       VARCHAR2 (   10 )                                       /* 25 更新者    */
 , KBCLM        VARCHAR2 (    1 )       DEFAULT '0' NOT NULL            /* 26 ｶﾗﾑ区分   */
 , VIEW_LENGTH  VARCHAR2 (   10 )                                       /* 27 表示桁数  */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 5120K );


CREATE SEQUENCE GF05S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF05T00 
  BEFORE INSERT ON GF05
  FOR EACH ROW 
  BEGIN 
    SELECT GF05S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
